ChartDirector Ver 4.1 (PHP Edition Edition)

PolarChart.setPlotAreaBg

Usage

setPlotAreaBg(bgColor1 [, bgColor2 [, altRings ]])

Description

Sets alternating background colors for the polar plot area.
ChartDirector supports using two alternating background colors for the polar plot area. The colors can change on the radial direction, resulting in concentric circles, on an the angular direction, resulting in alternating sectors.

Arguments

Argument | Default | Description
--- | --- | ---
bgColor1 | (Mandatory) | The first background color.
bgColor2 | -1 | The second background color. The default value of -1 means it is the same as the first background color.
altRings | true (non-zero) | A true (non-zero) value means the background colors alternate in the radial direction, resulting in concentric circles. A false (zero) value means the background colors alternates in the angular direction, resulting in alternating sectors.

Return Value

None

© 2006 Advanced Software Engineering Limited. All rights reserved.